﻿Type=Activity
Version=2.71
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	Dim h As Int 'Height of the ImageView Layer
	
	Dim w As clsStartWizard 'The Wizard!
	
	Dim pagenum As Int : pagenum = 0 'Tracks the page number
	
	Dim vv As VideoView  'para el video de ayuda
	
	Dim videoboton As Button
		 
End Sub

Sub Activity_Create(FirstTime As Boolean)

	'Calculates the height of the header ImageView and keeps the AspectRatio
	'In Landscape mode turns it off due to area constraints
	h = Activity.Width * (180/600)
	If 100%x > 100%y Then
		h = 0 
	End If
	
	'Initializes the Wizard with 5 panels and animatins
	w.Initialize(5,True, "Swipe")
	
	'The StartupWizard creates the panels, but we need to add our own layout/views to these panels
	
	'Creates the layout of the pages in code
	For i = 0 To w.pnls.Length-1
		CreatePage( w.pnls(i))
	Next
	
	'Show the wizard
	w.Show(Activity)
	
	'PnlFooter is the panel with the buttons
	w.pnlFooter.Color = Colors.RGB(230,230,230)
	
	'Creates the ImageView Layer
	
	' de momento quito elm header
	
	'CreateHeader(Activity)
	
	
	 'Dim vv As VideoView
'		 
'		 
'		    vv.Initialize("vv")
'			 'Activity.AddView(vv, 10dip, 10dip, 250dip, 250dip)
' 			Activity.AddView(vv, 0%x, 30%y,100%x,115%y)
''			
'		    File.Copy(File.DirAssets, "zephyr.mp4", File.DirInternal, "zephyr.mp4")
'		    vv.LoadVideo(File.DirInternal, "zephyr.mp4")
''			 File.Copy(File.DirAssets, "video2.mp4", File.DirInternal, "video2.mp4")
''		    vv.LoadVideo(File.DirInternal, "video2.mp4")
'		
'	
'		    vv.Play
			
	
End Sub

 
Sub vv_Complete
'cuando acabe el play que se quite

    Log("Playing completed")
	vv.RemoveView
	vv.Invalidate
	
End Sub


Sub Activity_Resume

Main.infoYa=True
Log("info ya a true en help")


End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

'Creates the pages on the wizard
'This is design specific, so no comments!
Sub CreatePage(pnl As Panel )
	pnl.Color = Colors.RGB(230,230,230)
	
	Dim sv As ScrollView 
	sv.Initialize(5000dip)
	pnl.AddView(sv,0%x, 0, 100%x, 100%y - 0 - 0dip)
	'pnl.AddView(sv,0%x, h+12dip, 100%x, 100%y - h - 50dip)
	Dim vList As List
	vList.Initialize
	vList = GenerateWizardViews(pnl.Tag)
	SetupViews(sv, 500dip, 500dip, vList, Gravity.LEFT, 40dip, 10%x, 4dip)	
	
End Sub

'Using Warwounds LabelExtras to create hyperlinks in labels
Sub ClickableSpan1_Click(SelectionStart As Int, SelectionEnd As Int)
 	Dim url As String 
	url = WizardText(0).SubString2(SelectionStart,SelectionEnd)
	Dim In As Intent 
	In.Initialize(In.ACTION_VIEW,"http://db.tt/OTcqUQd")
	StartActivity(In)
End Sub

'Creates the IamgeView layer at the top
'no lo uso

										'Sub CreateHeader(parent As Panel)
										'	Dim iv As ImageView 
										'	iv.Initialize("")
										'	iv.Bitmap=LoadBitmap(File.DirAssets,"shadowsplash.png")
										'	iv.Gravity = Gravity.FILL 
										'	
										'	parent.AddView(iv,0,0,100%x,h)
										'	iv.BringToFront 
										'	
										'	If 100%x > 100%y Then
										'		iv.Height = 0
										'	End If
										'End Sub

'Generates the Text depending on the page
Sub WizardText(itext As Int) As String
	Dim mainText As String 
	Select Case itext 
		Case 0
		mainText = "{D}{B}{S}Welcome To ZEPHYR  {S}{B}{D}"&CRLF & _
					"{D}{B}{S}DEMO(android >=4.x) {S}{B}{D}"& CRLF & _
					"Zephyr will help you to forget about physical buttons on your device, so it can be a great substitute if your home button does not work properly." & CRLF & CRLF &  _
					"You need to give Admin Privileges to be able to simulate the power button."' & CRLF & CRLF & _
'					"Zephyr will be always running, even after reboot you can notice that is working with the icon." & _
'					"To unistall first remove admin privileges"
			
		Case 1
		mainText =  "{D}{B}{S}What you can do with it{D}{B}{S}" & CRLF & CRLF  & CRLF & CRLF & _
					"{D}{B}1)Swipe up  from the  botton of the screen to simulate home button pressed{D}{B}" & CRLF & CRLF '& CRLF & _
'					"Backup your photos, videos, and documents." & CRLF & _
'					"Download your music playlist from dropbox every morning." & CRLF & _
'					"Organise your files on dropbox." & CRLF &  CRLF & _
'					"{D}{B}Some advanced things you can do:{D}{B}"  & CRLF & _
'					"Backup your apps (root), sms, call logs, contacts (with a plugin)"  & CRLF & _
'					"Sync multiple devices and get all your files in one place"
		Case 2
		
		mainText =	"{D}{B}2)Swipe up and then down from botton to lock screen (simulating power button pressed) {D}{B}"& CRLF & CRLF& CRLF & CRLF& CRLF & CRLF
		
		
'					"{D}{B}{S}How it works{D}{B}{S}" & CRLF & CRLF & _
'					"A pipe links a folder on dropbox to a folder on your  sdcard. You can make it upload files to your dropbox or download files from it."
					


		Case 3
'		mainText ="{D}{B}3)Swipe from  left border  of the screen to the right{D}{B}"& CRLF & CRLF & _
'					"{D}{B} OR LONG CLICK on the left border  of the screen {D}{B}"& CRLF & CRLF & _
'					"{D}{B}OR LONG CLICK at the botton of the screen{D}{B}"& CRLF '& CRLF '& _
'				'	"{D}{B}{S} to show recents aplications{D}{B}{S}" 
		
		
		mainText ="{D}{B}3)  LONG CLICK at the botton of the screen{D}{B}"& CRLF '& CRLF '& _
				'	"{D}{B}{S} to show recents aplications{D}{B}{S}" 
		
		
'					"{D}{B}{S}Settings{D}{B}{S}" & CRLF & CRLF & _
'					"To see more options check out the Settings screen." & CRLF & CRLF & _
'					"You can change power settings by enabling transfers only on WiFi or when connected to a charger." & CRLF & CRLF & _
'					"If you have any  comments, queries or feedback you can contact us from the Settings screen." 
					
					
		Case 4
		mainText = "{D}{B}{S}Thats it, you are all set to go!{D}{B}{S}"& CRLF & CRLF & _
					"{D}{B}To see these instructions again click on notification panel." & CRLF &  _
					"Now you will be asked For admin privileges(If Not already done)for simulating the lock screen button AND zephyr will be restarted In 3 seconds{D}{B}" & CRLF & CRLF & _
					"{D}{B}{S}Credits{S}{B}{D}" & CRLF & _
					"Conceived, Designed and Developed by " & CRLF & _
					"{B}Jose Ramon Delgado{B}" & CRLF& _
					"Inspired on iOS Zephyr (c) by chpwm"& CRLF
			

		
		Case Else
			mainText = "{D}{B}{S}Credits{S}{B}{D}" & CRLF & _
			"Conceived, Designed and Developed by " & CRLF & _
			"{B}Jose Ramon Delgado{B}" & CRLF & _
			"Inspired on iOS Zephyr (c) by chpwm"& CRLF
	
		
	End Select
	Return mainText
End Sub

'Generates the views as a list depending on the page number
Sub GenerateWizardViews (pagenumber As Int) As List
	Dim vList As List 
	vList.Initialize 
	
	Dim lbl As Label 
	lbl.Initialize("")
	lbl.TextSize = 16
	lbl.Typeface = Typeface.LoadFromAssets("roboto-light.ttf")
	lbl.TextColor  = Colors.RGB(55,55,115)
	lbl.TextColor  = Colors.RGB(95,95,155)
	Dim maintext As String 
	Dim richtext As RichString 
	maintext = WizardText(pagenumber)
	richtext.Initialize(maintext)
	richtext.RelativeSize2(1.2,"{S}")
	richtext.Style2(richtext.STYLE_BOLD,"{B}")
	richtext.Color2(Colors.DarkGray,"{D}")
	lbl.Text = richtext
	vList.Add(lbl)
	
	
	Select Case pagenumber
		Case 0
'			Dim LabelExtras1 As LabelExtras
'	    	Dim LinkMovementMethod1 As LinkMovementMethod
'	    	Dim SpannableStringBuilder1 As SpannableStringBuilder
'	    	Dim Spanned1 As Spanned
'	        SpannableStringBuilder1.Initialize(richtext)
'	        Dim ClickableSpan1 As ClickableSpan
'	    	ClickableSpan1.Initialize("ClickableSpan1", Colors.Blue, True)
'	    	SpannableStringBuilder1.SetSpan(ClickableSpan1, 324, 344, Spanned1.SPAN_EXCLUSIVE_EXCLUSIVE)
'	        lbl.Text=SpannableStringBuilder1
'	    	LabelExtras1.SetMovementMethod(lbl, LinkMovementMethod1.GetInstance)


			Dim iv1 As ImageView 
			iv1.Initialize("")
			iv1.Bitmap = LoadBitmap(File.DirAssets,"zephyriconhelp1.png")
			iv1.Gravity = Gravity.FILL 
			vList.Add(iv1)
			
			Dim lbl2 As Label 
			lbl2.Initialize("")
			lbl2.TextSize = 16
			lbl2.Typeface = Typeface.LoadFromAssets("roboto-light.ttf")
			lbl2.TextColor  = Colors.RGB(95,95,155)
			Dim maintext2 As String 
			Dim richtext2 As RichString 
			maintext2 = "Zephyr will be always running, even after reboot you can notice that is working with the icon." & _
					"To unistall first remove admin privileges (from Security Menu)"
			richtext2.Initialize(maintext2)
			richtext2.RelativeSize2(1.2,"{S}")
			richtext2.Style2(richtext.STYLE_BOLD,"{B}")
			richtext2.Color2(Colors.DarkGray,"{D}")
			lbl2.Text = richtext2
			vList.Add(lbl2)
			
		Case 1
		
			Dim iv3 As ImageView 
			iv3.Initialize("")
			iv3.Bitmap = LoadBitmap(File.DirAssets,"zephyrswipeuphelp.png")
			iv3.Gravity = Gravity.FILL 
			vList.Add(iv3)
			
		
				
		Case 2
			Dim iv2 As ImageView 
			iv2.Initialize("")
			iv2.Bitmap = LoadBitmap(File.DirAssets,"zephyrswipeupanddownhelp.png")
			iv2.Gravity = Gravity.FILL 
			vList.Add(iv2)
'			Dim lbl2 As Label 
'			lbl2.Initialize("")
'			lbl2.TextSize = 16
'			lbl2.Typeface = Typeface.LoadFromAssets("roboto-light.ttf")
'			lbl2.TextColor  = Colors.RGB(95,95,155)
'			Dim maintext2 As String 
'			Dim richtext2 As RichString 
'			maintext2 = "To create a pipe, click the menu icon and Select Add Pipe on the Pipes screen." 
'			richtext2.Initialize(maintext2)
'			richtext2.RelativeSize2(1.2,"{S}")
'			richtext2.Style2(richtext.STYLE_BOLD,"{B}")
'			richtext2.Color2(Colors.DarkGray,"{D}")
'			lbl2.Text = richtext2
'			vList.Add(lbl2)


'vamos a probar a meter un video(añadir lib de audio)

'1º)intento...no se puede desde el asset directory( el /files dentro de zephyr!!

'			Dim vv As VideoView
'			vv.Initialize("vv")
'			  Activity.AddView(vv, 10dip, 10dip, 250dip, 250dip)
'  		 	 vv.LoadVideo(File.DirAssets, "video1.3gp")
'   			 vv.Play  
			 
			 
'2º)intento copiandolo desde el asset al internal (http://www.basic4ppc.com/android/forum/threads/unable-to-play-mp4-with-videoview.12064/#post-147192)
		'asi se escucha pero no se ve le video

'			Dim vv As VideoView
'		 
'		 
'		    vv.Initialize("vv")
'		    Activity.AddView(vv, 10dip, 10dip, 250dip, 250dip)
'		    File.Copy(File.DirAssets, "video1.3gp", File.DirInternal, "video1.3gp")
'		    vv.LoadVideo(File.DirInternal, "video1.3gp")
'		    vv.Play
			
'3º)intento			

'			Dim vv As VideoView
'		 
'		 
'		    vv.Initialize("vv")
'			' Activity.AddView(vv, 10dip, 10dip, 250dip, 250dip)
' 			
'			
'		    File.Copy(File.DirAssets, "video1.3gp", File.DirInternal, "video1.3gp")
'		    vv.LoadVideo(File.DirInternal, "video1.3gp")
'		    vv.Play
'
'		vList.Add(vv)
'		 	
					
		Case 3
		
			
			Dim iv4 As ImageView 
			iv4.Initialize("")
			iv4.Bitmap = LoadBitmap(File.DirAssets,"zephyrshowrecents2.png")
			iv4.Gravity = Gravity.FILL 
			vList.Add(iv4)
			Dim lbl3 As Label 
			lbl3.Initialize("")
			lbl3.TextSize = 16
			lbl3.Typeface = Typeface.LoadFromAssets("roboto-light.ttf")
			lbl3.TextColor  = Colors.RGB(95,95,155)
			Dim maintext3 As String 
			Dim richtext3 As RichString 
			maintext3 =CRLF & "{D}{B}{S} to show recents aplications{D}{B}{S}" 
			richtext3.Initialize(maintext3)
			richtext3.RelativeSize2(1.4,"{S}")
			richtext3.Style2(richtext.STYLE_BOLD,"{B}")
			richtext3.Color2(Colors.DarkGray,"{D}")
			lbl3.Text = richtext3
			vList.Add(lbl3)
		
			
		Case 4
		
		'VAMOS A PONER UN BOTON PARA EL VIDEO
		videoboton.Initialize("videoButton")
		videoboton.TextSize=20
		videoboton.TextColor=Colors.Red
		
		videoboton.Text=("CLICK TO WATCH VIDEO DEMO")
		
		videoboton.Gravity=Gravity.FILL
		vList.Add(videoboton)
		
		
		
	End Select
	Return vList
End Sub

 Sub videoButton_Click
 
  Log("inicio vieo")
  
		 
		    vv.Initialize("vv")
			 'Activity.AddView(vv, 10dip, 10dip, 250dip, 250dip)
 			Activity.AddView(vv, 0%x, 50%y,100%x,115%y)
 			'Activity.AddView(vv, 0dip, 0dip,Activity.Width,Activity.Height)
		    File.Copy(File.DirAssets, "zephyr.mp4", File.DirInternal, "zephyr.mp4")
		    vv.LoadVideo(File.DirInternal, "zephyr.mp4")
'			 File.Copy(File.DirAssets, "video2.mp4", File.DirInternal, "video2.mp4")
'		    vv.LoadVideo(File.DirInternal, "video2.mp4")
		
	
		    vv.Play
 
 
 End Sub
 



'This is a very interesting sub!
'Simulates  a linear layout. Puts all views in a line onto a scrollview, and takes into account the
'label text and image aspect ratios
'Puts it in a SV for smaller screens
Sub SetupViews(sv As ScrollView, maxWidth As Int, maxHeight As Int, Views As List, _
			   align As Int, imageoffset As Int, textoffset As Int, viewoffset As Int) As ScrollView 
	
	Dim height As Int : height = 0
	
	Dim actwidth As Int 
	If sv.width < maxWidth Then
		actwidth = sv.width 
	Else
		actwidth = maxWidth
	End If
	
	For i = 0 To Views.Size-1
		
		Dim v As View = Views.Get(i)
	
		If v Is Label Then
			Dim lbl As Label = v
			sv.Panel.AddView(lbl,textoffset,height,actwidth-2*textoffset,40dip)
			Dim th As Int 
			Dim su As StringUtils 
			th = su.MeasureMultilineTextHeight(lbl,lbl.Text )
			lbl.height = th + 4dip
			lbl.Gravity = align
			sv.Panel.height = lbl.Top + lbl.height
			height = height + lbl.height + viewoffset
		Else If v Is ImageView Then
			Dim iv As ImageView = v
			Dim bmp As Bitmap = iv.Bitmap 
			Dim aspectratio As Double = bmp.width/bmp.height 
			Dim width As Double = (actwidth-2*imageoffset)'/2
			
			sv.Panel.AddView(iv,imageoffset,height,width,width/aspectratio)
			height = height + iv.height  + viewoffset
		End If	
	Next
	sv.Panel.height = height

	If height < sv.height Then
		' Center the scrollview
		sv.Top = sv.Top + (sv.height - height - 90dip)/2
	End If

End Sub